#if NET
using Microsoft.Extensions.Logging;

namespace DigitalData.Core.Abstraction.Application.DTO;

/// <summary>
/// Represents a notice for logging purposes, containing a flag, log level, and associated messages.
/// </summary>
[Obsolete("Use DigitalData.Core.Exceptions and .Middleware")]
public class Notice
{
    /// <summary>
    /// Gets or sets an optional flag associated with the notice.
    /// </summary>
    [Obsolete("Use DigitalData.Core.Exceptions and .Middleware")]
    public Enum? Flag { get; init; } = null;

    /// <summary>
    /// Gets or sets the log level for the notice.
    /// </summary>
    [Obsolete("Use DigitalData.Core.Exceptions and .Middleware")]
    public LogLevel Level { get; init; } = LogLevel.None;

    /// <summary>
    /// Gets a list of messages associated with the notice.
    /// </summary>
    [Obsolete("Use DigitalData.Core.Exceptions and .Middleware")]
    public List<string> Messages { get; init; } = new();
}
#endif